Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageViewer2 Class Reference

`#include <vtkImageViewer2.h>`

Inheritance diagram for vtkImageViewer2:

[legend]
Collaboration diagram for vtkImageViewer2:

[legend]
List of all members.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
char * | GetWindowName ()
virtual void | Render (void)
void | SetupInteractor (vtkRenderWindowInteractor *)
void | SetInput (vtkImageData *in)
vtkImageData * | GetInput ()
int | GetWholeZMin ()
int | GetWholeZMax ()
int | GetZSlice ()
void | SetZSlice (int s)
float | GetColorWindow ()
float | GetColorLevel ()
void | SetColorWindow (float s)
void | SetColorLevel (float s)
void | SetDisplayId (void *a)
void | SetWindowId (void *a)
void | SetParentId (void *a)
int * | GetPosition ()
void | SetPosition (int a, int b)
virtual void | SetPosition (int a[2])
int * | GetSize ()
void | SetSize (int a, int b)
virtual void | SetSize (int a[2])
virtual vtkRenderWindow * | GetRenderWindow ()
virtual vtkRenderer * | GetRenderer ()
virtual vtkImageActor * | GetImageActor ()
virtual vtkImageMapToWindowLevelColors * | GetWindowLevel ()
void | SetOffScreenRendering (int)
int | GetOffScreenRendering ()
void | OffScreenRenderingOn ()
void | OffScreenRenderingOff ()
## Static Public Methods
vtkImageViewer2 * | New ()
int | IsTypeOf (const char *type)
vtkImageViewer2 * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageViewer2 ()
| ~vtkImageViewer2 ()
## Protected Attributes
vtkImageMapToWindowLevelColors * | WindowLevel
vtkRenderWindow * | RenderWindow
vtkRenderer * | Renderer
vtkImageActor * | ImageActor
int | FirstRender
vtkRenderWindowInteractor * | Interactor
vtkInteractorStyleImage * | InteractorStyle

## Member Typedef Documentation

typedef vtkObject vtkImageViewer2::Superclass

| Reimplemented from vtkObject. Definition at line 61 of file vtkImageViewer2.h.

## Constructor & Destructor Documentation

vtkImageViewer2::vtkImageViewer2 | ( |  | ) | `[protected]`

vtkImageViewer2::~vtkImageViewer2 | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageViewer2* vtkImageViewer2::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageViewer2::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkImageViewer2::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkImageViewer2::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkImageViewer2* vtkImageViewer2::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkImageViewer2::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

char* vtkImageViewer2::GetWindowName | ( |  | ) | `[inline]`

| Get name of rendering window Definition at line 65 of file vtkImageViewer2.h.

virtual void vtkImageViewer2::Render | ( | void |  | ) | `[virtual]`

| Render the resulting image.

void vtkImageViewer2::SetInput | ( | vtkImageData * | in | ) | `[inline]`

| Set/Get the input to the viewer. Definition at line 72 of file vtkImageViewer2.h.

vtkImageData* vtkImageViewer2::GetInput | ( |  | ) | `[inline]`

| Set/Get the input to the viewer. Definition at line 73 of file vtkImageViewer2.h.

int vtkImageViewer2::GetWholeZMin | ( |  | ) | `[inline]`

| What is the possible Min/ Max z slices available. Definition at line 78 of file vtkImageViewer2.h.

int vtkImageViewer2::GetWholeZMax | ( |  | ) | `[inline]`

| What is the possible Min/ Max z slices available. Definition at line 79 of file vtkImageViewer2.h.

int vtkImageViewer2::GetZSlice | ( |  | ) | `[inline]`

| Set/Get the current Z Slice to display Definition at line 84 of file vtkImageViewer2.h.

void vtkImageViewer2::SetZSlice | ( | int | s | ) | `[inline]`

| Set/Get the current Z Slice to display Definition at line 85 of file vtkImageViewer2.h.

float vtkImageViewer2::GetColorWindow | ( |  | ) | `[inline]`

| Sets window/level for mapping pixels to colors. Definition at line 90 of file vtkImageViewer2.h.

float vtkImageViewer2::GetColorLevel | ( |  | ) | `[inline]`

| Sets window/level for mapping pixels to colors. Definition at line 91 of file vtkImageViewer2.h.

void vtkImageViewer2::SetColorWindow | ( | float | s | ) | `[inline]`

| Sets window/level for mapping pixels to colors. Definition at line 92 of file vtkImageViewer2.h.

void vtkImageViewer2::SetColorLevel | ( | float | s | ) | `[inline]`

| Sets window/level for mapping pixels to colors. Definition at line 93 of file vtkImageViewer2.h.

void vtkImageViewer2::SetDisplayId | ( | void * | a | ) | `[inline]`

| These are here for using a tk window. Definition at line 98 of file vtkImageViewer2.h.

void vtkImageViewer2::SetWindowId | ( | void * | a | ) | `[inline]`

| These are here for using a tk window. Definition at line 99 of file vtkImageViewer2.h.

void vtkImageViewer2::SetParentId | ( | void * | a | ) | `[inline]`

| These are here for using a tk window. Definition at line 100 of file vtkImageViewer2.h.

int* vtkImageViewer2::GetPosition | ( |  | ) | `[inline]`

| Set/Get the position in screen coordinates of the rendering window. Definition at line 105 of file vtkImageViewer2.h.

void vtkImageViewer2::SetPosition | ( | int | a,
|  | int | b
| ) | `[inline]`

| Set/Get the position in screen coordinates of the rendering window. Definition at line 106 of file vtkImageViewer2.h.

virtual void vtkImageViewer2::SetPosition | ( | int | a[2] | ) | `[virtual]`

| Set/Get the position in screen coordinates of the rendering window.

int* vtkImageViewer2::GetSize | ( |  | ) | `[inline]`

| Set/Get the size of the window in screen coordinates. Definition at line 112 of file vtkImageViewer2.h.

void vtkImageViewer2::SetSize | ( | int | a,
|  | int | b
| ) | `[inline]`

| Set/Get the size of the window in screen coordinates. Definition at line 113 of file vtkImageViewer2.h.

virtual void vtkImageViewer2::SetSize | ( | int | a[2] | ) | `[virtual]`

| Set/Get the size of the window in screen coordinates.

virtual vtkRenderWindow* vtkImageViewer2::GetRenderWindow | ( |  | ) | `[virtual]`

| Get the internal Window Imager and Mapper

virtual vtkRenderer* vtkImageViewer2::GetRenderer | ( |  | ) | `[virtual]`

| Get the internal Window Imager and Mapper

virtual vtkImageActor* vtkImageViewer2::GetImageActor | ( |  | ) | `[virtual]`

| Get the internal Window Imager and Mapper

virtual vtkImageMapToWindowLevelColors* vtkImageViewer2::GetWindowLevel | ( |  | ) | `[virtual]`

| Get the internal Window Imager and Mapper

void vtkImageViewer2::SetupInteractor | ( | vtkRenderWindowInteractor * |  | ) |

| Create and attach an interactor for this window

void vtkImageViewer2::SetOffScreenRendering | ( | int |  | ) |

| Create a window in memory instead of on the screen. This may not be supported for every type of window and on some windows you may need to invoke this prior to the first render.

int vtkImageViewer2::GetOffScreenRendering | ( |  | ) |

| Create a window in memory instead of on the screen. This may not be supported for every type of window and on some windows you may need to invoke this prior to the first render.

void vtkImageViewer2::OffScreenRenderingOn | ( |  | ) |

| Create a window in memory instead of on the screen. This may not be supported for every type of window and on some windows you may need to invoke this prior to the first render.

void vtkImageViewer2::OffScreenRenderingOff | ( |  | ) |

| Create a window in memory instead of on the screen. This may not be supported for every type of window and on some windows you may need to invoke this prior to the first render.

## Member Data Documentation

vtkImageMapToWindowLevelColors* vtkImageViewer2::WindowLevel`[protected]`

| Definition at line 142 of file vtkImageViewer2.h.

vtkRenderWindow* vtkImageViewer2::RenderWindow`[protected]`

| Definition at line 143 of file vtkImageViewer2.h.

vtkRenderer* vtkImageViewer2::Renderer`[protected]`

| Definition at line 144 of file vtkImageViewer2.h.

vtkImageActor* vtkImageViewer2::ImageActor`[protected]`

| Definition at line 145 of file vtkImageViewer2.h.

int vtkImageViewer2::FirstRender`[protected]`

| Definition at line 146 of file vtkImageViewer2.h.

vtkRenderWindowInteractor* vtkImageViewer2::Interactor`[protected]`

| Definition at line 147 of file vtkImageViewer2.h.

vtkInteractorStyleImage* vtkImageViewer2::InteractorStyle`[protected]`

| Definition at line 148 of file vtkImageViewer2.h.

The documentation for this class was generated from the following file:

- Rendering/vtkImageViewer2.h